Bug 1415989 - engine volume brick should be created with thick LV
Summary: engine volume brick should be created with thick LV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.10
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-24 10:24 UTC by SATHEESARAN
Modified: 2017-04-21 09:44 UTC (History)
3 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: Bug Fix
Doc Text:
Gluster volume used for hosted-engine deployment should have enough space guaranteed. So it is better to provision the bricks of hosted-engine volume as thick LVs instead of thin LV. So default brick configuration for engine volume is changed to thick LV.
Clone Of:
Environment:
Last Closed: 2017-04-21 09:44:36 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: blocker+
rule-engine: planning_ack+
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71247 master MERGED gluster: configure engine brick as thick lv 2017-01-27 13:37:22 UTC
oVirt gerrit 71762 ovirt-4.1 MERGED gluster: configure engine brick as thick lv 2017-02-10 06:08:35 UTC

Description SATHEESARAN 2017-01-24 10:24:24 UTC
Description of problem:
-----------------------
gdeploy config file generated with cockpit-ovirt-plugin generated engine volume brick as thinlv, against the requirement of having a thick LV

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.5

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Create a gluster deployment with cockpit-ovirt

Actual results:
---------------
Engine volume brick is generated as thinlv

Expected results:
-----------------
Engine volume brick should be generated as thick LV

Additional info:
----------------
[lv3]
action=create
poolname=gluster_thinpool_vdb
vgname=gluster_vg_vdb
mount=/gluster_bricks/engine
lvtype=thinlv
virtualsize=150GB

Comment 1 SATHEESARAN 2017-03-08 18:05:58 UTC
Tested with ovirt-cockpit-dashboard-0.10.7-0.0.13

Engine LV is created as a thick LV by default


Note You need to log in before you can comment on or make changes to this bug.